###############################
easyVDR RC1 Update1
14.10.07

Betroffene Dateien:
/boot/grub/menu.lst
/etc/vdr/plugins/setup/vdr-setup.xml
/usr/bin/easyvdr/easyvdrshutdown.sh

Erweiterung
Auswahlmöglichkeit im OSD der Reboot-Shutdown-Methode hinzugefügt.
(halt; Power-Off-Kernel)

##############################
easyVDR RC1 Update2
24.10.07

Betroffene Dateien:
/etc/init.d/RCLanstart
/etc/vdr/commands.conf
/etc/init.d/RCStart
/etc/vdr/themes/Elchi_Plugin-change.theme
/usr/share/tvmovie2vdr/tvm2vdr.sh
/usr/share/tvmovie2vdr/tvinfomerk2vdr
/usr/share/tvmovie2vdr/tvm2vdr
/etc/init.d/Runvdr
/vdr-setup.diff

RCLanstart:
Fehler im Net-Stop behoben.

commands.conf:
Funktion Netzwerk neu starten aufgenommen

RCStart:
Bugtracker 104
Fehler bei "Settimer" -fsck bei jedem Reboot- behoben

Elchi_Plugin-change.theme:
Bugtracker 97
Farbpalette auf Transparent gestellt/usr/share/tvmovie2vdr/config/config.pl

tvm2vdr:
fehler aus bugtracker 107 und 108 behoben

Runvdr & vdr-setup.diff:
Bugtracker 89
Auswahlmöglichkeit ac3dec und a52dec eingefügt

vdr-setup.diff
Bugtracker 102
Sir läst sich im osd nicht anwählen behoben
Bugtracker 106
Burn mit zuvielen Parametern behoben

##############################################################
easyVDR RC1 Update3
01.11.07

Betroffene Dateien/Ordner:
/usr/bin/easyvdr/mkbase.sh
/usr/bin/easyvdrshutdown.sh
/etc/init.d/RCStart
/etc/vdr/commands.conf
/usr/bin/easyvdr/funktions
/usr/bin/easyvdr/funktions/easyvdr-config*
/etc/vdr/vdr-addon-hw-wakeup.conf
/etc/vdr/plugins/mplay/mplayrc
/etc/vdr/plugins/templates.vdrrip
/usr/vdr/plugins/libvdr-mlcd.so.1.4.5

mkbase.sh:
/ramdisk im Backup excluded

/easyvdrshutdown.sh:
Bugtracker 90:
fehlendes "hwcklock -w --localtime" hinzugefügt !!!SETZT UPDATE1 VORAUS!!!

RCStart:
Pseudo-Netzwerktreiber "AUTODETECT" wird jetzt korrekt angeleg --falls er fehlt--.

commands.conf
Bugtracker 109
als Ersatz für das trayopen-Plugin die eject-Befehl erweitert.

/usr/bin/easyvdr/funktions
Neue Funktions Version 0.4.0

/usr/bin/easyvdr/funktions/easyvdr-config*
Die neuesten Config-Skripte

/etc/vdr/vdr-addon-hw-wakeup.conf
Datei für jepsen HW-Wakeup hinzugefügt

/etc/vdr/plugins/mplay/mplayrc
evtl Bugtracker 99
Fehler in Zeile 90 (16:9-Erkennung) behoben

/etc/vdr/plugins/templates.vdrrip
Bugtracker 111
Datei neu erstellt; anscheinend irgendeine falsche Konfiguration

/usr/vdr/plugins/libvdr-mlcd.so.1.4.5
neu kompiliert und mit anderem patch versehen, da durch pin-plugin-patch das gestartete plugin zu einem neustart führt 

###############################
easyVDR RC1 Update4
09.11.2007

Betroffene Dateien:
/usr/share/applications/mplayer.desktop
/usr/share/pixmaps/mplayer.xpm
/usr/share/man/man1/mplayer.1
/usr/share/man/fr/man1/mplayer.1
/usr/share/man/de/man1/mplayer.1
/usr/bin/mplayer
/usr/bin/mencoder
/root/.mplayer
/usr/bin/easyvdr/queuehandler.sh
/usr/bin/easyvdr/queuehandler.sh.conf
/usr/bin/easyvdr/queuehandler.conf
/etc/vdr/plugins/templates.vdrrip

Bugtracker 110
Probleme mit VDRRip.
Restart des VDR durch Änderung der templates.vdr behoben.
Fehler der Zeitberechnung im Originafile queuehandler.sh behoben.
mplayer1.0RC2 mit Slavecmd-Patch und em84xx-Patch neu kompiliert.
Configure-Befehl:
./configure --prefix=/usr \
            --enable-gui \
	    --enable-largefiles \
	    --enable-lirc \
	    --enable-runtime-cpudetection \
            --language=de,en,fr \
            --with-extraincdir=/usr/local/src/DVB/include
	    
###############################
easyVDR RC1 Update5
03.12.2007

Betroffene Dateien:
/etc/vdr/noad/rec_before.d/noad.sh
/etc/vdr/noad/rec_after.d/noad.sh
/etc/mysql/my.cnf
/usr/share/tvmovie2vdr/tvm2vdr.sh
/usr/bin/fbfcall.pl
/etc/init.d/Runvdr
/usr/bin/easyvdr/vdrburn-dvd.sh
/etc/init.d/RCStart
/usr/share/usbmount/usbmount
/etc/vdr/plugins/weatherng/weatherng.sh
/usr/share/usbmount/usbmount
/etc/init.d/RCReboot
/etc/init.d/RCShutdown
/usr/bin/vdrreboot
/usr/bin/vdrpoweroff
/etc/vdr/commands.conf
/etc/vdr/plugins/weatherng/weatherng.sh
/etc/vdr/plugins/mplay/mplayrc
/etc/vdr/plugins/mplay/divx.conf
/etc/vdr/plugins/mplay/xvid.conf
/etc/vdr/plugins/mplay/mplayrc
/etc/vdr/driverconfig
/usr/bin/easyvdr/sysinfo.sh
/usr/bin/easyvdr/easyvdr-config-vo.sh
/usr/bin/easyvdr/easyvdr-config-pvr350.sh
/etc/udev/rules.d/15-pvr350.rules
/etc/vdr/loadkeys/pvr350-remote.keys
/etc/vdr/remotes/pvr350/
/usr/bin/input-kbd
/usr/bin/easyvdr/easyvdr-config-pvr350.sh
/usr/bin/easyvdr-config-pvr350.sh
/usr/bin/lirc_on_ivtv
/usr/bin/easyvdr/lirc_on_ivtv
/etc/vdr/plugins/mplay/mpg.conf
/etc/vdr/plugins/mplay/mpeg.conf


/etc/vdr/noad/rec_before.d/noad.sh
/etc/vdr/noad/rec_after.d/noad.sh
/etc/mysql/my.cnf
/usr/share/tvmovie2vdr/tvm2vdr.sh
Bugtracker 115:
Prioritäten umgesetzt, um Performance-Problem zu vermeiden

/usr/bin/fbfcall.pl
Bugtracker 131:
Skriptfehler behoben

/etc/init.d/Runvdr
Portalinfo:
lcdproc nur starten wenn Device /dev/lcd0 vorhanden ist.

/usr/bin/easyvdr/vdrburn-dvd.sh
Bugtracker134:
growisofs für double-layer dvds geändert

/etc/init.d/RCStart
etwas umgestellt und nach dem media-mount via udevtrigger eingesteckte usb-Devices neu erkennen lassen

/usr/share/usbmount/usbmount
bugs entfernt und ntfs via ntfs-3g schreibbar mounten

/etc/init.d/RCShutdown
/etc/init.d/RCReboot
/etc/init.d/RCShutdown
/usr/bin/vdrreboot
/usr/bin/vdrpoweroff
/etc/vdr/commands.conf
Nur wenn keine Aufnahme läuft herunterfahren oder rebooten.

/etc/vdr/plugins/weatherng/weatherng.sh
Downloadadresse für Radarmaps geändert

/etc/vdr/plugins/mplay/mplayrc
/etc/vdr/plugins/mplay/divx.conf
/etc/vdr/plugins/mplay/xvid.conf
/etc/vdr/plugins/mplay/mpg.conf
/etc/vdr/plugins/mplay/mpeg.conf
Bugs in Auflösung behoben

/etc/vdr/driverconfig
Reihenfolge geändert und neue treiber hinzugefügt

/usr/bin/easyvdr/sysinfo.sh
vorbereitet auf Toxic-Tonics gepatchtes Sysinfo-Plugin

/usr/bin/easyvdr/easyvdr-config-vo.sh:
/usr/bin/easyvdr/easyvdr-config-pvr350.sh
/etc/udev/rules.d/15-pvr350.rules
/etc/vdr/loadkeys/pvr350-remote.keys
/etc/vdr/remotes/pvr350/
/usr/bin/input-kbd
/usr/bin/easyvdr/easyvdr-config-pvr350.sh
/usr/bin/easyvdr-config-pvr350.sh
/usr/bin/lirc_on_ivtv
/usr/bin/easyvdr/lirc_on_ivtv
von wicky verbessert und erweiter.

###############################
easyVDR RC1 Update6

Betroffene Dateien/Ordner:
/usr/bin/easyvdr/funktions
/usr/share/tvmovie2vdr/tvm2vdr.sh
/usr/bin/easyvdr/easyvdrshutdown.sh
/etc/vdr/remotes/Medion-MD81302/remote.conf
/etc/vdr/remotes/Medion-MD81299/remote.conf
/etc/init.d/Runvdr
/etc/init.d/RCStart
/etc/init.d/RCShutdown
/etc/init.d/RCReboot
/usr/lib/hotplug/firmware/dvb-usb-dib0700-1.10.fw
/usr/bin/easyvdr/easyvdr-config-activy.sh
/usr/bin/vdrburn-dvd.sh
/etc/udev/rules.d/10-dvb-remote.rules
/usr/bin/easyvdr/easyvdrshutdown.sh
/etc/vdr/easyvdrshutdown.conf
/boot/bzImage.poweroff
/boot/config.2.6.9-poweroff
/etc/init.d/RCLanstart
/easyVDRSetup.sh

Änderungen:
/usr/bin/easyvdr/funktions
Version 4.1 von Kris debuggt

/usr/share/tvmovie2vdr/tvm2vdr.sh
Aufruf jetzt über "screen" statt AT, da die Fehler geloggt wurden und sehr grosse files entstanden

/usr/bin/easyvdr/easyvdrshutdown.sh
Bugtracker 143 fehler im AT-Befehl (echo "$SVDRPCMD HITK POWER &" | at now + $SHWAIT minute <-- muss "minutes" heißen) behoben

/etc/vdr/remotes/Medion-MD81302/remote.conf
/etc/vdr/remotes/Medion-MD81299/remote.conf
Bugtracker 146 Stop-Taste hinzugefügt

/etc/init.d/Runvdr
mysql wird immer gestartet, wenn xxv oder muggle aktiviert wurde; auch wenn es deaktiviert wurde
Funktion Pluginactive hinzugefügt; stellt fest, ob plugin aktiv und gibt ein "yes" oder "no" zurück.
Aufruf der Skripte im Hintergrund jetzt mit "screen" statt mit "()&" gelöst

/etc/init.d/RCStart
Hdparm vor den FSCK gelegt sollte damit schneller sein;
Vorher noch via "execute hdparm -f $device" den HDD-Cache auf die Platte schreiben; 
"swapon -a -e" hinzugefügt
seitdem habe ich auch auf meiner schächeren Testmaschine (Celeron 800) keiner Startprobleme mehr.
Siehe die vielen Meldungen bezüglich: bleibt manchmal beim fsck stehen (Bugtracker 113 z.B.).
Bugtracker 140 Samba versucht Domaincontroller zu werden behoben
Aufruf der Skripte im Hintergrund jetzt mit "screen" statt mit "()&" gelöst
/etc/init.d/RCShutdown
/etc/init.d/RCReboot
fsck beim herunterfahren verbessert

/usr/lib/hotplug/firmware/dvb-usb-dib0700-1.10.fw
Buvtracker 140 aktuelle Nova-t 500 Firmware fehlt 
neue Firmware hinzugefügt

/usr/bin/easyvdr/easyvdr-config-activy.sh
update auf Version 0.0.3.4

/usr/bin/vdrburn-dvd.sh
Änderungen im burniso-Bereich; Unterstützung von double-layer-DVDs

/etc/udev/rules.d/10-dvb-remote.rules
udev-rule für cx88 fb hinzugefügt. Wird jetzt als dev/input/ircx88 angelegt

/usr/bin/easyvdr/easyvdrshutdown.sh
/etc/vdr/easyvdrshutdown.conf
Bugtracker 157 Fehler im Shutdown-Prevent von Skripten korrigiert
Abfragemöglichkeit auf ips im Netz eingebaut.

/boot/bzImage.poweroff
/boot/config.2.6.9-poweroff
Bugtracker 156
Wechsel auf 2.6.9 Poweroff-Kernel. Läuft bei mir seit ca 2 Wochen Problemlos. 
Angebl. sind damit die WOL-Probleme behoben

/etc/init.d/RCLanstart
Umstellung auf neue RCLanstart incl. WPA.Config-Erzeugung

/easyVDRSetup.sh
Bugtracker 158 Domain in Lan_domain wird falsch gesetzt behoben
Bugracker 159 WLAN-Art wird falsch gesetzt behoben
Part 2 des 159-Bugtracker-Eintrages noch nicht behoben

###############################
###############################
easyVDR RC1 Update7

Betroffene Dateien/Ordner:
/usr/bin/noad
/usr/vdrconvert
/usr/bin/tosvcd
/usr/bin/easyvdr/easyvdrshutdown.sh
/etc/init.d/RCSpecialVersions/CLE266
/usr/bin/easyvdr/lirc_activy
/usr/bin/easyvdr/lirc_atiusb
/usr/bin/easyvdr/lirc_on_both1
/usr/bin/easyvdr/lirc_on_both2
/usr/bin/easyvdr/lirc_on_com1
/usr/bin/easyvdr/lirc_on_com2
/usr/bin/easyvdr/lirc_on_extb1
/usr/bin/easyvdr/lirc_on_extb2
/usr/bin/easyvdr/lirc_on_imon
/usr/bin/easyvdr/lirc_on_ivtv
/usr/bin/easyvdr/lirc_on_sir1
/usr/bin/easyvdr/lirc_on_sir2
/etc/logrotate.d/
/etc/logrotate.conf/
/etc/init.d/RCStart
/etc/init.d/RCShutdown
/etc/init.d/RCReboot
/etc/init.d/RCSpecialVersions/CLE266
/etc/default/rcS
/etc/init.d/Runvdr
/usr/bin/mplay.sh
/etc/vdr/noad/noadlist.conf

Änderungen:
/usr/bin/noad
/etc/vdr/noad/noadlist.conf
einige Patches eingespielt und neu kompiliert (seitdem ressourcenschonender??)
noad-Einschlussliste für Sender mit WErbung eingeführt; übers OSD ein/ausschaltbar.

/usr/vdrconvert
/usr/bin/tosvcd
vdrconver von sync.pl auf pva umgestellt. tosvcd mit no-mmx-patch versehen.

/usr/bin/easyvdr/easyvdrshutdown.sh
Fehler bei Reboot-Methode behoben (case-Konstrukt hat gefehlt)

/etc/init.d/RCSpecialVersions/CLE266
/etc/init.d/RCStart
Änderung der Ramdiskerstellung
Ramdisk wird jetzt direkt am Anfang erstellt.
Start Logfileerstellung weiter an den Anfang verschoben
kleine HW-Erkennung für cle266 (VIA und Digitainer) eingebaut; für viafb
 
/usr/bin/easyvdr/lirc_activy
/usr/bin/easyvdr/lirc_atiusb
/usr/bin/easyvdr/lirc_on_both1
/usr/bin/easyvdr/lirc_on_both2
/usr/bin/easyvdr/lirc_on_com1
/usr/bin/easyvdr/lirc_on_com2
/usr/bin/easyvdr/lirc_on_extb1
/usr/bin/easyvdr/lirc_on_extb2
/usr/bin/easyvdr/lirc_on_imon
/usr/bin/easyvdr/lirc_on_ivtv
/usr/bin/easyvdr/lirc_on_sir1
/usr/bin/easyvdr/lirc_on_sir2
Bugtracker 164
lirc-Skripte überarbeitet. modprobe 8250 zur Sicherheit wieder eingefügt.

/etc/logrotate.d/
/etc/logrotate.conf/
/etc/init.d/RCStart
/etc/init.d/RCShutdown
/etc/init.d/RCReboot
/etc/init.d/RCSpecialVersions/CLE266
syslog auf syslog-ng umgestellt. 
Logrotate für syslog eingefügt. 
Fsck-Verhalten beim herunterfahren geändert. 
start_x Erweiterung für m2n eingefügt
Skripte etwas umgestellt

/etc/vdr/dvbCardParam.conf
/etc/init.d/RCDVBLoadModule.d/dvb.module
/etc/init.d/RCDVBUnloadModule.d/dvb.module
/etc/init.d/Runvdr
/etc/default/rcS
neues Modell zum Laden der DVB-Treiber eingeführt.
Es werden jetzt nur die Treiber zur gefundenen HW gestartet. USB-DVB ist ebenfalls enthalten.
/var/run und /var/lock jetzt im ram

/usr/bin/mplay.sh
multi-player-Erweiterung eingefügt. Es werden aufeinanderfolgend nummerierte Filme direkt nacheinenander abgespielt

generell: update auf XXV-1.2
          update auf Xine 1.10.2

neueste Debian-Pakete installiert

Die RC2 wird als Version 0.5.9 deklariert.
###############################

###############################
easyVDR RC2 Update1a

Betroffene Dateien:
/etc/init.d/RCDVBUnloadModule.d/dvb.module
/etc/init.d/RCDVBLoadModule.d/dvb.module
/usr/share/usbmount/usbmount
/usr/bin/easyvdr/recordinghooks.sh
/etc/vdr/noad/rec_before.d/noad.sh
/etc/vdr/noad/rec_after.d/noad.sh
/etc/init.d/RCStart
/etc/init.d/Runvdr
/etc/init.d/RCShutdown
/etc/init.d/RCReboot
/etc/init.d/RCEasyVDRFunctions
/var/www/usr/bin/easyvdr/plugins
/usr/bin/easyvdr/easyvdr-config-pvr350.sh
/etc/vdr/dvbdriver.load.default
/etc/apt/preferences
/usr/bin/easyvdr/system/make-preferences.sh
usr/bin/easyvdr/easyvdr-config-ff.sh
usr/bin/easyvdr/functions/easyvdr_m2n_functions
usr/bin/easyvdr/easyvdr-config-m2npv.sh
usr/bin/easyvdr/1st_start.sh
usr/bin/easyvdr-config-imonvfd.sh
usr/bin/easyvdr/easyvdr-config-imonvfd.sh
etc/LCDd.conf.antecv2
/etc/vdr/plugins/mplay/mplayrc
/etc/vdr/plugins/mplay/mp4.conf
/var/www/*
/tftpboot/dongle.bin
/tftpboot/vomp-dongle-0.2.7-6-Yaris
/etc/vdr/diseqc1.conf
/etc/vdr/diseqc2.conf

/etc/init.d/RCDVBUnloadModule.d/dvb.module
/etc/init.d/RCDVBLoadModule.d/dvb.module
Probleme bei DVB-Karten mit Abhängigkeiten behoben

/etc/vdr/dvbdriver.load.default
/usr/bin/easyvdr/easyvdr-config-pvr350.sh
Standarddvb-treiber wieder eingeführt und im config skript eingefügt -- bitte noch verifizieren --

/usr/bin/easyvdr/recordinghooks.sh
/etc/vdr/noad/rec_before.d/noad.sh
/etc/vdr/noad/rec_after.d/noad.sh
Noad wieder gangbar gemacht (Probleme beim Parsen der Übergabe aus dem VDR wg. Kanalname behoben)

/etc/init.d/RCStart
/etc/init.d/Runvdr
/etc/init.d/RCShutdown
/etc/init.d/RCReboot
/etc/init.d/RCEasyVDRFunctions
Änderungen für LCD 
Vdrconvert-Start-Fehler behoben
Settimer Fehler (hwclock) behoben

/usr/share/usbmount/usbmount
Probleme bei für Geräte mit integriertem Card-Reader behoben (langsamer Start Digitainer z.B)

/etc/apt/preferences
/usr/bin/easyvdr/system/make-preferences.sh
Preferences eingeführt, um auch bei einem apt-get update auf dem gleichen Stand zu bleiben

/var/www/* neuestes EasyPortal 1.16
usr/bin/easyvdr/easyvdr-config-ff.sh
usr/bin/easyvdr/functions/easyvdr_m2n_functions
usr/bin/easyvdr/easyvdr-config-m2npv.sh
usr/bin/easyvdr/1st_start.sh
usr/bin/easyvdr-config-imonvfd.sh
usr/bin/easyvdr/easyvdr-config-imonvfd.sh
etc/LCDd.conf.antecv2
/etc/vdr/remotes/imon-mce/
Update der skripte von maxx

/etc/vdr/plugins/mplay/mplayrc
/etc/vdr/plugins/mplay/mp4.conf
/etc/vdr/plugins/mplay/video-a52.conf
kleinere Änderungen im mplayrc
leere mp4.conf hinzugefügt, sonst keine mp4 wiedergabe
Bugracker 170

/tftpboot/dongle.bin
/tftpboot/vomp-dongle-0.2.7-6-Yaris
neuer tftpboot-dongle

/etc/udev/rules.d/10-lcd.rules
Bugtracker 177 

/etc/vdr/diseqc1.conf
/etc/vdr/diseqc2.conf
Bugtracker 180
